# FxEngine

FxEngine is an librairie overlay based on gint designed to provide more
game-oriented commands, such as a 3D engine, which is actually in 
developement. That library is made for fx9860G calculators.

This project started after the [1v13d](/Milang/1v13d) project.

## Installation

### Dependencies

A GNU/Linux distibution.

The [gint kernel](/Lephenixnoir/gint), made by lephenixnoir.
The [fxSDK](/Lephenixnoir/fxsdk), designed for gint usage.

The GCC toolchain for sh3eb-elf architecture.

### Install the fxengine lib

In a terminal, type the following commands :

```sh
make

make install # you may use sudo if the compiler's folder has restricted rights
```

### Remove lib

Just type this :

```sh
make clear # you may use sudo if the compiler's folder has restricted rights
```

### Upgrade

I recommend to remove and reinstall, but reinstall may work too.

## Use

All the headers are in the <fxengine/[...]> folder

### Example :

If you want to use keyboard event gestion, just do

```c
#include <fxengine/event/keyboard.h>

make

make install # you may use sudo if the compiler's folder has restricted rights
```